var MODULO = "Cuestionarios";

KEY_CANCELAR = "KEY_CANCELAR";

FILTRO = "FILTRO";

KEY_VOLVER_FILTRO = "KEY_VOLVER_FILTRO"

KEY_VOLVER_LISTADO = "KEY_VOLVER_LISTADO"



function ponAccion(key) {

		if (key==KEY_CANCELAR){

			if(document.forms[0].elements["inicio"].value==FILTRO){

				key=KEY_VOLVER_FILTRO;

			}

			else {

				key=KEY_VOLVER_LISTADO;			

			}

		}

        document.forms["formAyuntamiento"].accion.value = key;

        submmitFormulario(key);

}



function submmitFormulario(key) {

    document.forms["formAyuntamiento"].submit();

}



function onLoadPage() {

    	document.forms[0].elements["ayuntamiento(codProvincia)"].focus();

    	if(document.forms[0].elements["ayuntamiento(codProvincia)"].value!=""){

			cargarMunMuniLauncher();

			seleccionarComboDesdeCampo("ayuntamiento(codMunicipio)", "codMunicipio");

		}

	    cargarTipoViaLauncher();

    	seleccionarComboDesdeCampo("ayuntamiento(via)", "via");

    	cargarNombreViaLauncher();

    	seleccionarComboDesdeCampo("ayuntamiento(calle)", "calle");

		if (document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value != "") {

		    cargarBloqueLauncher();

		    seleccionarComboDesdeCampo("ayuntamiento(bloque)", "bloque");

		    cargarNumePortalLauncher();

		    seleccionarComboDesdeCampo("ayuntamiento(numero)", "numero");

		}

		if (document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value != "" && document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].value != "") {

		    cargarBisPortalLauncher();

		    seleccionarComboDesdeCampo("ayuntamiento(bis)", "bis");

		}

}



//Se llama cada vez que se selecciona una provincia en el combo

function provinciaClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(codMunicipio)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(codMunicipio)"], "", "");

    document.forms["formAyuntamiento"].elements["ayuntamiento(via)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(via)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

	

	//Se cargan los nombres de municipio

    cargarMunMuniLauncher();

    cargarTipoViaLauncher();

}



//Se carga el combo de municipios a traves del Launcher

function cargarMunMuniLauncher() {

    var where = "provincia_id = " + document.forms["formAyuntamiento"].elements["ayuntamiento(codProvincia)"].value;

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_MUNICIPIO", "id", "ds_o", "ayuntamiento(codMunicipio)", where, "false", true, "ds_o", "ASC");

}



//Se llama cada vez que se selecciona un municipio en el combo

function municipioClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(via)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(via)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

	

	//Se cargan los nombres de entidades

    cargarTipoViaLauncher();

}



//Se carga el combo de tipos de via a traves del Launcher

function cargarTipoViaLauncher() {

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_TIPO_VIA", "id", "ds_c", "ayuntamiento(via)", "", "false", true, "ds_c", "ASC");

}



//Se llama cada vez que se selecciona un tipo de via en el combo

function tipoViaClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

	

	//Se cargan los nombres de via del tipo de via

    cargarNombreViaLauncher();

}





//Se carga el combo de nombres de via a traves del Launcher

function cargarNombreViaLauncher() {

    if (document.forms["formAyuntamiento"].elements["ayuntamiento(via)"].value != "") {

        var where = "tipo_via_id = '" + document.forms["formAyuntamiento"].elements["ayuntamiento(via)"].value + "' and provincia_id='" + document.forms["formAyuntamiento"].elements["ayuntamiento(codProvincia)"].value + "' and municipio_id='" + document.forms["formAyuntamiento"].elements["ayuntamiento(codMunicipio)"].value + "'";

    } else {

        where = "provincia_id='" + document.forms["formAyuntamiento"].elements["ayuntamiento(codProvincia)"].value + "' and municipio_id='" + document.forms["formAyuntamiento"].elements["ayuntamiento(codMunicipio)"].value + "'";

    }

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_CALLE", "id", "ds_o", "ayuntamiento(calle)", where, "false", true, "ds_o", "ASC");

}



//Se llama cada vez que se selecciona un nombre de via en el combo

function nombreViaClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

	

	//Se cargan los bloques y numeros de portal a partir de la calle

    cargarBloqueLauncher();

    cargarNumePortalLauncher();

}



//Se carga el combo de bloques a traves del Launcher

function cargarBloqueLauncher() {

    var where = "calle_id = " + document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value + " AND bloque IS NOT NULL";

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_PORTAL", "bloque", "bloque", "ayuntamiento(bloque)", where, "false", true, "bloque", "ASC");

}



//Se llama cada vez que se selecciona un bloque en el combo

function bloqueClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

    cargarNumePortalLauncher();

}



//Se carga el combo de n?s a traves del Launcher

function cargarNumePortalLauncher() {

    var where = "calle_id = " + document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value;

    if (document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].value != "") {

        where = "calle_id = " + document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value + " AND bloque = '" + document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].value + "'";

    }

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_PORTAL", "numero", "numero", "ayuntamiento(numero)", where, "true", true, "numero", "ASC");

}



//Se llama cada vez que se selecciona un numero en el combo

function numClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"].options.length = 0;

    addOption(document.forms["formAyuntamiento"].elements["ayuntamiento(bis)"], "", 0);

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

    cargarBisPortalLauncher();

}



//Se carga el combo de bis a traves del Launcher

function cargarBisPortalLauncher() {

    var where = "numero = " + document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].value + " AND calle_id= " + document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value + " AND bis IS NOT NULL";

    if (document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].value != "") {

        where = "numero = " + document.forms["formAyuntamiento"].elements["ayuntamiento(numero)"].value + " AND calle_id= " + document.forms["formAyuntamiento"].elements["ayuntamiento(calle)"].value + " AND bloque = '" + document.forms["formAyuntamiento"].elements["ayuntamiento(bloque)"].value + "' AND bis IS NOT NULL";

    }

    cargarComboDataLauncherOrdenado(MODULO, idioma, "NORA_T17_PORTAL", "bis", "bis", "ayuntamiento(bis)", where, "false", true, "bis", "ASC");

}



//Se llama cada vez que se selecciona un numero en el combo

function bisClick() {

    document.forms["formAyuntamiento"].elements["ayuntamiento(escalera)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(piso)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(mano)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(puerta)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(codigoPostal)"].value = "";

    document.forms["formAyuntamiento"].elements["ayuntamiento(complDireccion)"].value = "";

}



